MakePipe behaving oddly

  • Andy Foan
  • Topic Author
  • Offline
  • New Member
  • New Member
More
11 years 2 days ago #6813 by Andy Foan
MakePipe behaving oddly was created by Andy Foan
In the attached scripts I create an object by extruding along a wire. You can see it's a railway rail. I need the cross-sections to remain normal to the wire so I've used MakePipe. Script t011a uses a wire made from a line and an arc and is OK. Version t011b uses a wire made from 3 lines but is not OK because the cross-section does not stay normal. Why?

Please Log in or Create an account to join the conversation.

More
11 years 2 days ago #6814 by RichardS
Replied by RichardS on topic Re: MakePipe behaving oddly
Sorry, there are no files attached.

SimScale - Engineering Simulation in your browser!

Please Log in or Create an account to join the conversation.

  • Andy Foan
  • Topic Author
  • Offline
  • New Member
  • New Member
More
11 years 1 day ago #6815 by Andy Foan
Replied by Andy Foan on topic Re: MakePipe behaving oddly
I've tried to create an object by extruding a profile along a wire. I need the cross-sections to remain normal to the wire so I've used MakePipe. Version (a) uses a wire made from a line and an arc and is OK. Version (b) uses a wire made from 3 line segments but the cross-section doesn't remain normal to the wire. Why?

The python scripts include the following:

vector1 = geompy.MakeVector(p0,p1)
vector2 = geompy.MakeVector(p1,p2)
vector3 = geompy.MakeVector(p2,p3)
arc1 = geompy.MakeArc(p1,p2,p3)

script a):
wire1 = geompy.MakeWire([vector1,arc1])

script b):
wire1 = geompy.MakeWire([vector1,vector2,vector3])

then ...
solid1 = geompy.MakePipe(profile1,wire1)

Attempted to add the attachments again but they wouldn't. Only figures, possibly not needed anyway.

Please Log in or Create an account to join the conversation.

More
11 years 1 day ago - 11 years 1 day ago #6819 by RichardS
Replied by RichardS on topic Re: MakePipe behaving oddly
Hello Andy,
I think your problem is related to a sharp corner between two edges.
Try to use Fillet_1D with a small radius in order to have a smooth path. This should work.

If this solution is doesn't fit your needs you could try to make two distinct extrusions and the fuse the created shapes.

Best regards,
Richard

SimScale - Engineering Simulation in your browser!
Last edit: 11 years 1 day ago by RichardS.

Please Log in or Create an account to join the conversation.

Moderators: catux
Time to create page: 0.148 seconds
Powered by Kunena Forum